{% extends 'base.html' %}
{% load static %}
{% block title %}Problem 028 {% endblock title %}
{% block content %}
  <main>
    <!--
      In this one, we're constructing a table. Pay
      attention to all of it because pieces will
      disappear over the next couple of problems.

      Now, we've removed the table header (th) tags, too.

      This context has a list of Person objects stored
      in the "people" key.
    -->
    <table>
      <thead>
        <tr>
          <!-- A table header tag with the content "Name" -->
            <th>Name</th>
          <!-- A table header tag with the content "Age" -->
            <th>Age</th>
          <!-- A table header tag with the content "Pronouns" -->
            <th>Pronouns</th>
        </tr>
      </thead>
        <tbody>
            {% for person in people %}
                <tr>
                    <!-- A table data tag with the content of the
                       "name" attribute of the current Person object -->
                  <td>{{ person.name }}</td>
                  <!-- A table data tag with the content of the
                       "age" attribute of the current Person object -->
                  <td>{{ person.age }}</td>
                  <!-- A table data tag with the content of the
                       "pronouns" attribute of the current Person object -->
                  <td>{{ person.pronouns }}</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
  </main>
{% endblock content %}

